<div class="biomark-modal">
    <div class="modal_container small" ng-if="!$ctrl.has_error">
        <div class="modal-header">
            <div class="modal-closer-text">
                <h5>Update Password</h5>
                <div class="bm-label-10 bluey-grey">Your password must be at least 8 characters, include one lowercase
                    letter, one uppercase letter and one number.</div>
            </div>
        </div>
        <div class="modal-body-sm">
            <div class="row">
                <div class="col-12">
                    <form name="chpass" ng-submit="$ctrl.change_password($ctrl.user)">
                        <div class="form-group">
                            <label for="">New Password</label>
                            <div class="input-group with-icon">
                                <input ng-keyup="$ctrl.password_change($ctrl.user.new_password)"
                                    ng-attr-type="{{$ctrl.showPasswordNew ? 'text': 'password'}}"
                                    ng-model="$ctrl.user.new_password" ng-class="{'is-invalid':$ctrl.has_form_error}"
                                    ng-pattern="/^(?=.*[A-Z])(?=.*[a-z])(?=.*\d).{8,}$/" class="form-control"
                                    minlength="8" required />
                                <div class="input-group-append">
                                    <span class="input-group-text" style="background-color: rgba(0, 0, 0, 0);"><i
                                            class="pointer bluey-grey"
                                            ng-class="$ctrl.showPasswordNew ? 'fas fa-eye' : 'fas fa-eye-slash'"
                                            ng-click="$ctrl.togglePassword('new')"></i></span>
                                </div>
                            </div>
                            <div class="strength-meter">
                                <div class="strength-meter-fill" data-strength="{{$ctrl.score}}"></div>
                            </div>
                            <small ng-if="$ctrl.has_form_error" id="passwordHelp" class="text-danger">
                                {{$ctrl.error_message}}
                            </small>
                        </div>
                        <div class="form-group">
                            <label for="">Verify Password</label>
                            <div class="input-group with-icon">
                                <input ng-attr-type="{{$ctrl.showPasswordVerify ? 'text': 'password'}}"
                                    ng-model="$ctrl.user.verify_password" ng-class="{'is-invalid':$ctrl.has_form_error}"
                                    ng-pattern="/^(?=.*[A-Z])(?=.*[a-z])(?=.*\d).{8,}$/" class="form-control"
                                    minlength="8" required />
                                <div class="input-group-append">
                                    <span class="input-group-text" style="background-color: rgba(0, 0, 0, 0);"><i
                                            class="pointer bluey-grey"
                                            ng-class="$ctrl.showPasswordVerify ? 'fas fa-eye' : 'fas fa-eye-slash'"
                                            ng-click="$ctrl.togglePassword('verify')"></i></span>
                                </div>
                            </div>
                            <small ng-if="$ctrl.has_form_error" id="passwordHelp" class="text-danger">
                                {{$ctrl.error_message}}
                            </small>
                        </div>
                        <div class="form-group text-center">
                            <button type="submit" ng-disabled="chpass.$invalid" class="btn btn-danger">Update Password
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="biomark-modal" ng-if="$ctrl.has_error">
        <div class="modal_container small">
            <div class="text-center py-4">
                <i class="fa fa-exclamation-triangle fa-4x red"></i>
            </div>
            <div class="bio-caption-24 px-3 pt-3 text-center">
                <b>Invalid Request</b>
            </div>
            <div class="px-2 bio-caption-12 bluey-gray text-center">Link is invalid or expired.</div>
            <div class="d-flex flex-row justify-content-center px-3 py-4 align-items-center">
                <div>
                    <button class="btn btn-danger biomark-btn-primary" ui-sref="login">Login</button>
                </div>
            </div>
        </div>
    </div>
    <div class="biomark-modal" ng-if="$ctrl.password_updated">
        <div class="modal_container small">
            <div class="text-center py-4">
                <i class="fa fa-check-circle fa-4x green"></i>
            </div>
            <div class="bio-caption-24 px-3 pt-3 text-center">
                <b>Password Updated</b>
            </div>
            <div class="d-flex flex-row justify-content-center px-3 py-4 align-items-center">
                <div>
                    <button class="btn btn-danger biomark-btn-primary" ui-sref="login">Login</button>
                </div>
            </div>
        </div>
    </div>

</div>